Bug 1639423 - nova-scheduler container logs show error
Summary: nova-scheduler container logs show error
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: nova-maint
QA Contact: nova-maint
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-15 17:02 UTC by Sai Sindhur Malleni
Modified: 2018-10-17 13:03 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-17 12:48:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 611285 None None None 2018-10-17 12:48:45 UTC

Description Sai Sindhur Malleni 2018-10-15 17:02:11 UTC
Description of problem:
On restarting the nova_scheduelr container after fresh install, it goes starts and goes into healthy status, however docker logs shows the following exception

INFO:__main__:Setting permission for /var/log/nova/nova-api-metadata.log.5.gz
INFO:__main__:Setting permission for /var/log/nova/nova-api.log.10.gz
++ cat /run_command
+ CMD='/usr/bin/nova-scheduler '
+ ARGS=
+ [[ ! -n '' ]]
+ . kolla_extend_start
++ [[ ! -d /var/log/kolla/nova ]]
+++ stat -c %a /var/log/kolla/nova
++ [[ 2755 != \7\5\5 ]]
++ chmod 755 /var/log/kolla/nova
++ . /usr/local/bin/kolla_nova_extend_start
+ echo 'Running command: '\''/usr/bin/nova-scheduler '\'''
+ exec /usr/bin/nova-scheduler
Running command: '/usr/bin/nova-scheduler '
/usr/lib/python2.7/site-packages/oslo_db/sqlalchemy/enginefacade.py:332: NotSupportedWarning: Configuration option(s) ['use_tpool'] not supported
  exception.NotSupportedWarning

Version-Release number of selected component (if applicable):
13

How reproducible:
100%

Steps to Reproduce:
1. Restart nova_scheduler
2. Use docker_logs to observe logs when starting
3.

Actual results:
Exceptions in logs

Expected results:
No exceptions

Additional info:

Comment 1 Martin Schuppert 2018-10-16 09:03:02 UTC
Can you provide the nova scheduler logs for this.

Comment 2 Stephen Finucane 2018-10-17 12:48:45 UTC
This was resolved in OSP 14 but I guess we need the backport, which is in progress upstream. However, despite appearances, this is not an exception: it's just a warning that has been defined in the 'oslo_db.exception' module for some unknown reason. As such, I don't think this is an issue and the warning can be safely ignored.


Note You need to log in before you can comment on or make changes to this bug.